- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Retrieves the list of reliabilityRisks available in the specified project.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/global/reliabilityRisks The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
returnPartialSuccess |
Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code. |
Request body
The request body must be empty.
Response body
Response message for the reliabilityRisks.list method of ReliabilityRisksService.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "id": string, "items": [ { "kind": string, "name": string, "id": string, "description": string, "creationTimestamp": string, "details": { "lastUpdateTimestamp": string, "duration": string, "type": enum, "severity": enum, // Union field |
| Fields | |
|---|---|
id |
Output only. Unique identifier for the resource; defined by the server. |
items[] |
A list of ReliabilityRisk resources. |
items[].kind |
Output only. Type of resource. Always |
items[].name |
Name of the resource. The name must be 1-63 characters long and comply with RFC1035. |
items[].id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
items[].description |
An optional textual description of the resource; provided when the resource is created. |
items[].creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
items[].details |
Output only. Details of the reliability risk resource |
items[].details.globalDnsInsight |
Insight details for global DNS risk. |
items[].details.globalDnsInsight.projectDefaultIsGlobalDns |
Indicates whether the project's default DNS setting is global DNS. |
items[].details.globalDnsInsight.queryObservationWindow |
The observation window for the query counts. A duration in seconds with up to nine fractional digits, ending with ' |
items[].details.globalDnsInsight.totalQueryCount |
The total number of queries in the observation window. |
items[].details.globalDnsInsight.riskyQueryCount |
The number of queries that are risky. This is always less than or equal to totalQueryCount. |
items[].details.lastUpdateTimestamp |
The last time the risk was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
items[].details.duration |
The duration of the risk since it was detected. A duration in seconds with up to nine fractional digits, ending with ' |
items[].details.type |
The type of risk. |
items[].details.severity |
The severity of the risk. |
items[].recommendation |
The recommendation to mitigate the risk. |
items[].recommendation.content |
Mitigation guide for the risk. |
items[].recommendation.referenceUrl |
URL referencing a more detailed mitigation guide. |
items[].selfLink |
Output only. Server-defined URL for the resource. |
items[].selfLinkWithId |
Output only. Server-defined URL for this resource with the resource id. |
nextPageToken |
Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than |
selfLink |
Output only. Server-defined URL for this resource. |
warning |
Output only. Informational warning message. |
warning.code |
Output only. A warning code, if applicable. For example, Compute Engine returns |
warning.message |
Output only. A human-readable description of the warning code. |
warning.data[] |
Output only. Metadata about this warning in "data": [ { "key": "scope", "value": "zones/us-east1-d" } |
warning.data[].key |
Output only. A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be |
warning.data[].value |
Output only. A warning data value corresponding to the key. |
etag |
|
unreachables[] |
Output only. Unreachable resources. end_interface: MixerListResponseWithEtagBuilder |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.reliabilityRisks.list
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.